%define name    tilda
%define version 0.9.5
%define release %mkrel 1

Summary:        Tilda - Drop Down Terminal for Linux
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2+
Group:          Terminals
Url:            http://tilda.sourceforge.net/
Source:         http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:  pkgconfig
BuildRequires:  vte-devel
BuildRequires:  confuse-devel
BuildRequires:  flex
BuildRequires:  libglade2.0-devel

Requires:       vte
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description

Tilda is a Linux terminal taking after the likeness
of many classic terminals from first person shooter
games, Quake, Doom and Half-Life to name a few,
where the terminal has no border and is hidden from
the desktop till a key or keys is hit.


%prep
%setup -q -n %{name}-%version

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{name}.glade %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_datadir}/%{name}.glade

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/tilda
%{_datadir}/applications/tilda.desktop
%{_datadir}/pixmaps/tilda.png
%{_datadir}/%{name}/*.glade


%changelog
* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.5-1mdv2008.1
+ Revision: 119352
- Add missing BuildRequires
- New release 0.9.5

* Sat Dec 01 2007 Funda Wang <fundawang@mandriva.org> 0.9.4-3mdv2008.1
+ Revision: 114305
- fix summary
- new license policy

* Sat Dec 01 2007 Funda Wang <fundawang@mandriva.org> 0.9.4-2mdv2008.1
+ Revision: 114251
- update menus
- fix desktop file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 39881
- New release 0.9.4


* Wed Mar 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.09.3-2mdv2007.1
+ Revision: 149278
- buildrequires vte-devel
  buildrequires confuse-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Import tilda

* Fri Jul 21 2006 Jerome Soyer <saispo@mandriva.org> 0.09.3-1mdv2007.0
- New release 0.09.3

* Fri Jun 30 2006 Jerome Soyer <saispo@mandriva.org> 0.09.2-1mdv2007.0
- New release 0.09.2
- XDG Menu

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.09-1mdk
- First Mandriva package for Frendh dbutant Mailing list

